INSTALL_DIR=please_set_the_INSTALL_DIR_variable_in_the_top_level_makefile_and_run_make_config
DEFAULT_SERVER=localhost

BIN=$(INSTALL_DIR)/bin
LIB=$(INSTALL_DIR)/lib

UDEVFILE=/etc/udev/rules.d/52-tmuports.rules

LIBS=-lusb-1.0
CFLAGS=-O -DDEFAULT_SERVER=\"$(DEFAULT_SERVER)\"

all:	tmumon tm

install:	all
	-mv $(BIN)/tmumon $(BIN)/tmumon.old
	cp tmumon $(BIN)/tmumon
	cp tm $(BIN)/tm

udev_rules:	tmuports.rules.udev
	cp tmuports.rules.udev $(UDEVFILE)

tmumon:	tmumon.c hardware.c
	cc -o tmumon $(CFLAGS) tmumon.c hardware.c $(LIBS)

tm:	tm.c
	cc -o tm $(CFLAGS) tm.c

clean:
	rm -f *.o tmumon tm
